aboutsummaryrefslogtreecommitdiffstats
path: root/scripts
diff options
context:
space:
mode:
authorBen Hutchings <ben@decadent.org.uk>2013-12-05 14:39:11 +0000
committerBen Hutchings <ben@decadent.org.uk>2014-04-09 02:20:45 +0100
commit448a779f01583c6fda27d4229641615fdedfb4c5 (patch)
treebf2c1178cefb62c6fbe9bc6431d54ae75e76a395 /scripts
parentc0319b50b55b63163cc2cf73eb31861ea754c6c3 (diff)
downloadkernel_samsung_smdk4412-448a779f01583c6fda27d4229641615fdedfb4c5.zip
kernel_samsung_smdk4412-448a779f01583c6fda27d4229641615fdedfb4c5.tar.gz
kernel_samsung_smdk4412-448a779f01583c6fda27d4229641615fdedfb4c5.tar.bz2
deb-pkg: Fix building for MIPS big-endian or ARM OABI
commit c5e318f67eebbad491615a752c51dbfde7dc3d78 upstream. These commands will mysteriously fail: $ make ARCH=arm versatile_defconfig [...] $ make ARCH=arm deb-pkg [...] make[1]: *** [deb-pkg] Error 1 make: *** [deb-pkg] Error 2 The Debian architecture selection for these kernel architectures does 'grep FOO=y $KCONFIG_CONFIG && echo bar', and after 'set -e' this aborts the script if grep does not find the given config symbol. Fixes: 10f26fa64200 ('build, deb-pkg: select userland architecture based on UTS_MACHINE') Signed-off-by: Ben Hutchings <ben@decadent.org.uk> Signed-off-by: Michal Marek <mmarek@suse.cz>
Diffstat (limited to 'scripts')
-rw-r--r--scripts/package/builddeb4
1 files changed, 2 insertions, 2 deletions
diff --git a/scripts/package/builddeb b/scripts/package/builddeb
index 09c544e..1a1c7e7 100644
--- a/scripts/package/builddeb
+++ b/scripts/package/builddeb
@@ -41,9 +41,9 @@ create_package() {
parisc*)
debarch=hppa ;;
mips*)
- debarch=mips$(grep -q CPU_LITTLE_ENDIAN=y $KCONFIG_CONFIG && echo el) ;;
+ debarch=mips$(grep -q CPU_LITTLE_ENDIAN=y $KCONFIG_CONFIG && echo el || true) ;;
arm*)
- debarch=arm$(grep -q CONFIG_AEABI=y $KCONFIG_CONFIG && echo el) ;;
+ debarch=arm$(grep -q CONFIG_AEABI=y $KCONFIG_CONFIG && echo el || true) ;;
*)
echo "" >&2
echo "** ** ** WARNING ** ** **" >&2